CobolRecordFactory (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.cci.CobolRecordFactory class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.cci
Class CobolRecordFactory

    java.lang.Object
      com.microfocus.cobol.connector.cci.CobolRecordFactory

All Implemented Interfaces:
  RecordFactory

public class CobolRecordFactory
extends Object
implements RecordFactory

This implementation class is used for creating IndexedRecord instances.

Constructor Summary
`CobolRecordFactory()`

Method Summary
`IndexedRecord` | `createIndexedRecord(String recordName)` Create an Indexed record instance.
`MappedRecord` | `createMappedRecord(String recordName)` Mapped records are not supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolRecordFactory

    public CobolRecordFactory()

Method Detail

### createMappedRecord

    public MappedRecord createMappedRecord(String recordName)
                                    throws ResourceException

  Mapped records are not supported.

  Specified by:
    `createMappedRecord` in interface `RecordFactory`
  Parameters:
    `recordName` -
  Returns:
  Throws:
    `ResourceException`

### createIndexedRecord

    public IndexedRecord createIndexedRecord(String recordName)
                                      throws ResourceException

  Create an Indexed record instance.

  Specified by:
    `createIndexedRecord` in interface `RecordFactory`
  Parameters:
    `recordName` - The name of the record.
  Returns:
    The indexed record instance.
  Throws:
    `ResourceException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.